﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Semiodesk.Trinity.OntologyGenerator.Properties {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "17.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class Resources {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Resources() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Semiodesk.Trinity.OntologyGenerator.Properties.Resources", typeof(Resources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to // Attention: This file is generated. Any modifications will eventually be overwritten.
        ///
        ///using System;
        ///using System.Collections.Generic;
        ///using System.Text;
        ///using Semiodesk.Trinity;
        ///
        ///namespace {2}
        ///{{
        ///	{1}
        ///}}.
        /// </summary>
        internal static string FileTemplate {
            get {
                return ResourceManager.GetString("FileTemplate", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 
        //////&lt;summary&gt;
        //////{3}
        //////{4}
        //////&lt;/summary&gt;
        ///public class {0} : Ontology
        ///{{
        ///    public static readonly Uri Namespace = new Uri(&quot;{1}&quot;);
        ///    public static Uri GetNamespace() {{ return Namespace; }}
        ///    
        ///    public static readonly string Prefix = &quot;{0}&quot;;
        ///    public static string GetPrefix() {{ return Prefix; }} {2}
        ///}}
        ///.
        /// </summary>
        internal static string OntologyTemplate {
            get {
                return ResourceManager.GetString("OntologyTemplate", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to     
        ///
        ///    ///&lt;summary&gt;
        ///    ///{3}
        ///    ///&lt;/summary&gt;
        ///    public static readonly {0} {1} = new {0}(new Uri(&quot;{2}&quot;));.
        /// </summary>
        internal static string ResourceTemplate {
            get {
                return ResourceManager.GetString("ResourceTemplate", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to ///&lt;summary&gt;
        //////{3}
        //////{4}
        //////&lt;/summary&gt;
        ///public static class {0}
        ///{{
        ///    public static readonly Uri Namespace = new Uri(&quot;{1}&quot;);
        ///    public static Uri GetNamespace() {{ return Namespace; }}
        ///    
        ///    public static readonly string Prefix = &quot;{0}&quot;;
        ///    public static string GetPrefix() {{ return Prefix; }} {2}
        ///}}.
        /// </summary>
        internal static string StringOntologyTemplate {
            get {
                return ResourceManager.GetString("StringOntologyTemplate", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to 
        ///
        ///    ///&lt;summary&gt;
        ///    ///{3}
        ///    ///&lt;/summary&gt;
        ///    public const string {1} = &quot;{2}&quot;;.
        /// </summary>
        internal static string StringTemplate {
            get {
                return ResourceManager.GetString("StringTemplate", resourceCulture);
            }
        }
    }
}
